#include "opencv2/opencv.hpp"

int main (int argc, char *argv[])
{
	cv::Mat img = cv::imread("../lena.jpg",cv::IMREAD_COLOR);
	if (img.empty()) return -1;
    
    cv::Rect roi(0,0,img.cols/2,img.rows/2);
    cv::flip(img(roi),img(roi),1);
    
	cv::imshow("flipped roi",img);
	cv::waitKey(0);
    cv::destroyAllWindows();
	return 0;
}
